# Matrix Signal Bridge

Install the matrix bridge for signal: https://docs.mau.fi/bridges/python/signal/index.html 

This role is part of my ansible roles. It is made to interact with other roles that are listed here, and require some variables.

## Role required:

- postgre: https://gitea.auro.re/Pains-Perdus/postgre

## Variable required:

```
ansible_managed: str, msg indicating a file managed by ansible
matrix_server_name: the matrix server name
matrix_bridge_signal_postgre_user_pwd: **SECRET** pwd for connecting to the postgre db
matrix_bridge_signal_allowed_external_user: list of external users allow to use the bridge
matrix_bridge_signal_admins: list of admins
```

## Add role to you ansible playbook:

To add this role to your project, you can use git submodules: 

```
git submodule add ssh://git@gitea.auro.re:2222/Pains-Perdus/matrix-bridge-signal.git roles/matrix-bridge-signal
git submodule init
```

## Copyright

Copyright 2021 Jean-Marie Mineau <histausse@protonmail.com>
